Package: org.grails.core.io

## [Groovy] Class CachingPathMatchingResourcePatternResolver

- org.grails.core.io.CachingPathMatchingResourcePatternResolver

- Authors:
    Graeme Rocher
  Since:
    3.0.12

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static CachingPathMatchingResourcePatternResolver` | `INSTANCE` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class org.springframework.core.io.support.PathMatchingResourcePatternResolver` | `CLASSPATH_ALL_URL_PREFIX, CLASSPATH_URL_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `CachingPathMatchingResourcePatternResolver (org.springframework.core.io.ResourceLoader parent)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected java.util.Set<org.springframework.core.io.Resource>` | `doFindAllClassPathResources(java.lang.String path)`
    `` | `protected org.springframework.core.io.Resource[]` | `findPathMatchingResources(java.lang.String locationPattern)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.springframework.core.io.support.PathMatchingResourcePatternResolver` | `org.springframework.core.io.support.PathMatchingResourcePatternResolver#getPathMatcher(), org.springframework.core.io.support.PathMatchingResourcePatternResolver#getResourceLoader(), org.springframework.core.io.support.PathMatchingResourcePatternResolver#setPathMatcher(org.springframework.util.PathMatcher), org.springframework.core.io.support.PathMatchingResourcePatternResolver#getClassLoader(), org.springframework.core.io.support.PathMatchingResourcePatternResolver#getResource(java.lang.String), org.springframework.core.io.support.PathMatchingResourcePatternResolver#getResources(java.lang.String), org.springframework.core.io.support.PathMatchingResourcePatternResolver#wait(long, int), org.springframework.core.io.support.PathMatchingResourcePatternResolver#wait(long), org.springframework.core.io.support.PathMatchingResourcePatternResolver#wait(), org.springframework.core.io.support.PathMatchingResourcePatternResolver#equals(java.lang.Object), org.springframework.core.io.support.PathMatchingResourcePatternResolver#toString(), org.springframework.core.io.support.PathMatchingResourcePatternResolver#hashCode(), org.springframework.core.io.support.PathMatchingResourcePatternResolver#getClass(), org.springframework.core.io.support.PathMatchingResourcePatternResolver#notify(), org.springframework.core.io.support.PathMatchingResourcePatternResolver#notifyAll()`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### public static final CachingPathMatchingResourcePatternResolver INSTANCE

  - ### Constructor Detail

    - #### CachingPathMatchingResourcePatternResolver(org.springframework.core.io.ResourceLoader parent)

  - ### Method Detail

    - #### @groovy.transform.Memoized(maxCacheSize = 20) protected java.util.Set<org.springframework.core.io.Resource> doFindAllClassPathResources(java.lang.String path)

    - #### @groovy.transform.Memoized(maxCacheSize = 20) protected org.springframework.core.io.Resource[] findPathMatchingResources(java.lang.String locationPattern)